<?php
session_start();
ob_start();
include_once "inc/db_connect.php";
include_once "inc/fnc.php";
header('Content-Type: text/html;charset=utf8');
$err = "";
if(isset($_POST['regok'])){unset($_SESSION['reg_ok']);}
if(!isset($_SESSION['user'])){
	header("Location: index.php?");
	exit();
}else{
	$data_user = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `nick`='".$_SESSION['user']."'")) or die(mysql_error());
{
include 'head.php';
if($data_user['level']<=2)
{
echo "<div class='menu'>";
echo' <center>Такси доступно с 3 уровня.<br></center>';
echo "</div>";
include 'foot.php';
exit;
}
?>
<div class="title">Такси</div>
<?php
if($data_user['time_taxt'] > time()){

// Функция

 function game_time($tl){
$d=3600*24;
$day=floor($tl/$d);
$tl=$tl-($d*$day);

$hour=floor($tl/3600);
$tl=$tl-(3600*$hour);

$minute=floor($tl/60);
$tl=$tl-(60*$minute);

$second=floor($tl);

$dayt="".($day>0?"$day д. ":null)."";
$hourt="".($hour>0?"$hour ч. ":null)."";
$minutet="".($minute>0?"$minute м. ":null)."";
$secondt="".($second>0?"$second с. ":null)."";
if($day>0)
{
$minutet=NULL;
$secondt=NULL;
}
if($hour>0 && $day==0)
{
$secondt=NULL;
$dayt=NULL;
}
return "$dayt$hourt$minutet$secondt";
     }

echo '<div class="menu"><div class="newser"><center>
<img src="img/taxi.png" alt="taxi" /><br><b>Осталось</b>:';
echo game_time($data_user['time_taxt']-time())."";
echo "</center></div></div>";
include 'foot.php';
} else {

// обработка
if($data_user['time_taxt'] < time() && $data_user['time_taxt'] != 0){
     mysql_query("update `users` set `time_taxt` = '0', `money` =  `money` + '$data_user[time_taxi_money]' where `id` = '$data_user[id]'");
}

// Зачисляем время 30 минут
if(isset($_GET['time30'])){
		     mysql_query("update `users` set `time_taxt` = '".(time()+1800)."', `time_taxi_money` = '1000' where `id` = '$data_user[id]'");
			 header("location: ?");
}

// Зачисляем время 60 минут
if(isset($_GET['time60'])){
		     mysql_query("update `users` set `time_taxt` = '".(time()+3600)."', `time_taxi_money` = '1800' where `id` = '$data_user[id]'");
			 header("location: ?");
}

// Зачисляем время 120 минут
if(isset($_GET['time120'])){
		     mysql_query("update `users` set `time_taxt` = '".(time()+7200)."', `time_taxi_money` = '2000' where `id` = '$data_user[id]'");
			 header("location: ?");
}

// Зачисляем время 240 минут
if(isset($_GET['time240'])){
		     mysql_query("update `users` set `time_taxt` = '".(time()+14400)."', `time_taxi_money` = '4300' where `id` = '$data_user[id]'");
			 header("location: ?");
}

// Зачисляем время 480 минут
if(isset($_GET['time480'])){
		     mysql_query("update `users` set `time_taxt` = '".(time()+28800)."', `time_taxi_money` = '9000' where `id` = '$data_user[id]'");
			 header("location: ?");
}

echo "<div class='mono'>
<center><img src='img/taxi.png' alt='taxi' /></center>
</div>";
?>
<div class="title">
<center>
<img src='img/tax.png' alt='taxi' /><br/><b>Время:</b> 30 мин. <br/><b>Серебро:</b> 1000 <img src="img/money.png" alt="." />
<form action="taxi.php" method="get">
<input type="hidden" name="time30" value="1800" />
<input type="submit" class="btn" value="Таксовать" /></form>
</center>
</div>
<div class="mono">
<center>
<img src='img/tax.png' alt='taxi' /><br/><b>Время:</b> 1 час <br/><b>Серебро:</b> 1800 <img src="img/money.png" alt="." />
<form action="taxi.php" method="get">
<input type="hidden" name="time60" value="3600" />
<input type="submit" class="btn" value="Таксовать" /></form>
</center>
</div>
<div class="title">
<center>
<img src='img/tax.png' alt='taxi' /><br/><b>Время:</b> 2 часа <br/><b>Серебро:</b> 2000 <img src="img/money.png" alt="." />
<form action="taxi.php" method="get">
<input type="hidden" name="time120" value="7200" />
<input type="submit" class="btn" value="Таксовать" /></form>
</center>
</div>
<div class="mono">
<center>
<img src='img/tax.png' alt='taxi' /><br/><b>Время:</b> 4 часа <br/><b>Серебро:</b> 4300 <img src="img/money.png" alt="." />
<form action="taxi.php" method="get">
<input type="hidden" name="time240" value="14400" />
<input type="submit" class="btn" value="Таксовать" /></form>
</center>
</div>
<div class="title">
<center>
<img src='img/tax.png' alt='taxi' /><br/><b>Время:</b> 8 часов <br/><b>Серебро:</b> 9000 <img src="img/money.png" alt="." />
<form action="taxi.php" method="get">
<input type="hidden" name="time480" value="28800" />
<input type="submit" class="btn" value="Таксовать" /></form>
</center>
</div>
</body>
</html>
<?
include 'foot.php';
}
}
}
?>